QWSKeyboardHandler(3qt)

NAME
QWSKeyboardHandler - Implements the keyboard driver/handler for Qt/Embedded

SYNOPSIS
#include <qkeyboard_qws.h>

Inherits QObject.

  Public Members
QWSKeyboardHandler ()
virtual ~QWSKeyboardHandler ()

  Protected Members
virtual void processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )

DESCRIPTION
The QWSKeyboardHandler class implements the keyboard driver/handler for Qt/Embedded.

The keyboard driver/handler handles events from system devices and generates key events.

A QWSKeyboardHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call processKeyEvent() to send the event to Qt/Embedded for relaying to clients.

See also Qt/Embedded.

MEMBER FUNCTION DOCUMENTATION

QWSKeyboardHandler::QWSKeyboardHandler ()
Constructs a keyboard handler. The handler may be passed to the system for later destruction with QWSServer::setKeyboardHandler(), although even without doing this, the handler can function, calling processKeyEvent() to emit events.

QWSKeyboardHandler::~QWSKeyboardHandler () [virtual]
Destroys a keyboard handler. Note that if you have called QWSServer::setKeyboardHandler(), you may not delete the handler.

void QWSKeyboardHandler::processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) [virtual protected]
Subclasses call this function to send a key event. The server may additionally filter the event before sending it on to applications.

unicode is the Unicode value for the key, or 0xFFFF is none is appropriate.

keycode is the Qt keycode for the key (see Qt::Key). for the list of codes).

modifiers is the set of modifier keys (see Qt::Modifier).

isPress says whether this is a press or a release.

autoRepeat says whether this event was generated by an auto-repeat
    mechanism, or an actual key press.

SEE ALSO
http://doc.trolltech.com/qwskeyboardhandler.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qwskeyboardhandler.3qt) and the Qt version (3.0.3).